const express = require("express");
const router = express.Router();

const customerController = require("../Controller/customerController");
const authController = require("../Controller/authController");

const apiLimiter = require("../utils/rateLimit");
const twoFactorProtect = require("../utils/TwoFA");

router.use(apiLimiter(1, 100));
router.use(authController.protect);

router.route("/").get(customerController.getAllCustomerItem);

router
  .route("/:id")
  .get(customerController.getOneCustomerItem)
  .patch(twoFactorProtect, customerController.changeShipmentStatus);
// .delete(customerController.deleteOneCustomerItem);

module.exports = router;
